Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class ResourceParams

    java.lang.Object
      org.apache.catalina.deploy.ResourceParams

All Implemented Interfaces:
  java.io.Serializable

public class ResourceParams
extends java.lang.Object
implements java.io.Serializable

Representation of additional parameters which will be used to initialize external resources defined in the web application deployment descriptor.

Version:
  $Revision: 1.4 $ $Date: 2004/05/13 20:40:49 $
Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`protected NamingResources` | `resources` The NamingResources with which we are associated (if any).

Constructor Summary
`ResourceParams()`

Method Summary
`void` | `addParameter(java.lang.String name, java.lang.String value)`
`java.lang.String` | `getName()`
`NamingResources` | `getNamingResources()`
`java.util.Hashtable` | `getParameters()`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resources

    protected NamingResources resources

  The NamingResources with which we are associated (if any).

Constructor Detail

### ResourceParams

    public ResourceParams()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### addParameter

    public void addParameter(java.lang.String name,
                             java.lang.String value)

### getParameters

    public java.util.Hashtable getParameters()

### toString

    public java.lang.String toString()

  Return a String representation of this object.

### getNamingResources

    public NamingResources getNamingResources()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.